<template>
  <div>
      <ul>
          <h2>{{message}}</h2>
        <li v-for="(task, index) in tasks" :key="index">
             <b>Tarefa: </b> {{task.title}}
             </br><b>Termina em: </b> {{task.due_date}} 
             </br><b>Terminada: </b> {{task.finished}} </br>
             <router-link :to="'/tasks/' + task.id ">Detalhes</router-link>
             <router-link :to="'/tasks/' + task.id + '/update'">Editar</router-link>
             <button @click="remove(task.id)">Eliminar</button></br> </br>
        </li>
    </ul>
    <router-link to="/"> Home</router-link>
  </div>
</template>

<script>
  import axios from 'axios'
    export default {

        name: 'TaskIndex',
        data () {
            return {
                tasks: []
            }  
        },

        created() {
            axios.get('http://localhost:8000/api/tasks').then(Response => {
                this.tasks = Response.data
            })
        },
        methods:{
        remove (id) {
          axios.delete('http://localhost:8000/api/tasks/' + id)
            .then(response => {
              this.message = response.data
              this.tasks = this.tasks.filter(function (obj) {
                return obj.id !== id
              })
            })
            .catch(error => {
              this.message = error.data
            })
        }
    }
    }
</script>